aboutsummaryrefslogtreecommitdiff
path: root/home/dot_local/share/bin/executable_bootloader
diff options
context:
space:
mode:
Diffstat (limited to 'home/dot_local/share/bin/executable_bootloader')
-rw-r--r--home/dot_local/share/bin/executable_bootloader13
1 files changed, 13 insertions, 0 deletions
diff --git a/home/dot_local/share/bin/executable_bootloader b/home/dot_local/share/bin/executable_bootloader
new file mode 100644
index 0000000..c310d4f
--- /dev/null
+++ b/home/dot_local/share/bin/executable_bootloader
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+bye () {
+ echo "run me as root!"
+ exit 1
+}
+
+[ $(id -g) -ne 0 ] && bye
+
+# mount /boot
+# pacman --noconfirm -S linux
+grub-install --target=x86_64-efi --efi-directory=/boot --bootloader-id=GRUB # --removable
+grub-mkconfig -o /boot/grub/grub.cfg